<?php

defined( 'ABSPATH' ) or die( 'No script kiddies please!!' );
if ( ! class_exists( 'WOBD_Admin' ) ) {

    class WOBD_Admin extends WOBD_Library{

        /**
         * Includes all the backend functionality
         *
         * @since 1.0.0
         */
        function __construct(){

            add_action( 'admin_menu', array( $this, 'wobd_register_menu' ) );
            add_action( 'init', array( $this, 'wobd_register_custom_post' ) );
        }

        function wobd_register_custom_post(){
            include(WOBD_PATH . 'includes/admin/view/wobd-post-action.php');
        }

        function wobd_register_menu(){
            add_submenu_page( 'edit.php?post_type=wobd-badge-designer', __( 'Settings', WOBD_TD ), __( 'Settings', WOBD_TD ), 'manage_options', 'wobd-badges-settings', array( $this, 'wobd_badge_settings' ) );
            add_submenu_page( 'edit.php?post_type=wobd-badge-designer', __( 'About The Plugin', WOBD_TD ), __( 'About The Plugin', WOBD_TD ), 'manage_options', 'wobd-about-us', array( $this, 'wobd_about_us' ) );
            add_submenu_page( 'edit.php?post_type=wobd-badge-designer', __( 'More WordPress Resources', WOBD_TD ), __( 'More WordPress Resources', WOBD_TD ), 'manage_options', 'wobd-more-wp', array( $this, 'wobd_more_wp' ) );
        }

        function wobd_badge_settings(){
            include(WOBD_PATH . 'includes/admin/view/settings/wobd-common-settings.php');
        }

        function wobd_about_us(){
            include(WOBD_PATH . 'includes/admin/view/page/about.php');
        }

        function wobd_more_wp(){
            include(WOBD_PATH . 'includes/admin/view/page/more.php');
        }

    }

    new WOBD_Admin();
}