<div class ="wobd-badge-option-wrap">
    <label for="wobd-show-timer" class="wobd-show-timer">
        <?php esc_html_e( 'Enable Timer', WOBD_TD ); ?>
    </label>
    <div class="wobd-badge-field-wrap">
        <label class="wobd-switch">
            <input type="checkbox" class="wobd-display-timer wobd-checkbox" value="<?php
            if ( isset( $wobd_option[ 'wobd_enable_timer' ] ) ) {
                echo esc_attr( $wobd_option[ 'wobd_enable_timer' ] );
            } else {
                echo '0';
            }
            ?>" name="wobd_option[wobd_enable_timer]" <?php if ( isset( $wobd_option[ 'wobd_enable_timer' ] ) && $wobd_option[ 'wobd_enable_timer' ] == '1' ) { ?>checked="checked"<?php } ?>/>
            <div class="wobd-slider round"></div>
        </label>
        <p class="description"> <?php esc_html_e( 'Enable timer to show count down timer like sales end time.', WOBD_TD ) ?></p>
    </div>
</div>
<div class="wobd-badge-option-wrap">
    <label><?php esc_html_e( 'Expiry Time', WOBD_TD ); ?></label>
    <div class="wobd-badge-field-wrap">
        <input type="text" class="wobd-end-time" value="<?php
        if ( isset( $wobd_option[ 'timer_end_time' ] ) ) {
            echo esc_attr( $wobd_option[ 'timer_end_time' ] );
        }
        ?>" name='wobd_option[timer_end_time]'>
        <p class="description"> <?php esc_html_e( 'Select end time from calendar', WOBD_TD ) ?></p>

    </div>
</div>
<div class="wobd-badge-option-wrap">
    <label><?php esc_html_e( 'Timer Template', WOBD_TD ); ?></label>
    <div class="wobd-badge-field-wrap">
        <div class="wobd-timer-inner-template-wrap">
            <?php
            $wobd_timer_templates = array( 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 );
            foreach ( $wobd_timer_templates as $wobd_timer_template ) :
                ?>
                <div class="wobd-hide-radio">
                    <input type="radio" id="<?php echo $wobd_timer_template; ?>" name="wobd_option[timer_templates]" class="wobd-timer-templates" value="<?php echo $wobd_timer_template; ?>" <?php if ( isset( $wobd_option[ 'timer_templates' ] ) && $wobd_option[ 'timer_templates' ] == $wobd_timer_template ) { ?>checked="checked"<?php } ?> <?php if ( ! isset( $wobd_option[ 'timer_templates' ] ) ) { ?>checked="checked"<?php } ?> />
                    <label class="wobd-timer-templates" for="<?php echo $wobd_timer_template; ?>">
                        <img src="<?php echo WOBD_IMG_DIR . '/timer/' . $wobd_timer_template . '.png' ?>">
                    </label>
                </div>
            <?php endforeach; ?>
        </div>
    </div>
</div>
<div class="wobd-badge-option-wrap">
    <label><?php esc_html_e( 'Timer Position', WOBD_TD ); ?></label>
    <div class="wobd-badge-field-wrap">
        <div class="wobd-badge-field-inner-wrap">
            <select name="wobd_option[timer_position]" class="wobd-timer-position">
                <option value="top"  <?php if ( isset( $wobd_option[ 'timer_position' ] ) && $wobd_option[ 'timer_position' ] == 'top' ) echo 'selected=="selected"'; ?>><?php esc_html_e( 'Top', WOBD_TD ) ?></option>
                <option value="bottom"  <?php if ( isset( $wobd_option[ 'timer_position' ] ) && $wobd_option[ 'timer_position' ] == 'bottom' ) echo 'selected=="selected"'; ?>><?php esc_html_e( 'Bottom', WOBD_TD ) ?></option>
                <option value="left"  <?php if ( isset( $wobd_option[ 'timer_position' ] ) && $wobd_option[ 'timer_position' ] == 'left' ) echo 'selected=="selected"'; ?>><?php esc_html_e( 'Left', WOBD_TD ) ?></option>
                <option value="right"  <?php if ( isset( $wobd_option[ 'timer_position' ] ) && $wobd_option[ 'timer_position' ] == 'right' ) echo 'selected=="selected"'; ?>><?php esc_html_e( 'Right', WOBD_TD ) ?></option>
            </select>
        </div>
    </div>
</div>
<div class="wobd-badge-option-wrap">
    <label><?php esc_html_e( 'Timer Text', WOBD_TD ); ?></label>
    <div class="wobd-badge-field-wrap">
        <input type="text" class="wobd-setting-timer-text" value="<?php
        if ( isset( $wobd_option[ 'timer_timer_text' ] ) ) {
            echo esc_attr( $wobd_option[ 'timer_timer_text' ] );
        }
        ?>" name='wobd_option[timer_timer_text]'>
        <p class="description"> <?php esc_html_e( 'Enter title for end time', WOBD_TD ) ?></p>

    </div>
</div>
<div class ="wobd-badge-option-wrap">
    <label for="wobd-enable-timer-design" class="wobd-enable-timer-design">
        <?php esc_html_e( 'Enable Custom Color', WOBD_TD ); ?>
    </label>
    <div class="wobd-badge-field-wrap">
        <label class="wobd-switch">
            <input type="checkbox" class="wobd-timer-custom-color wobd-checkbox" value="<?php
            if ( isset( $wobd_option[ 'wobd_enable_timer_color' ] ) ) {
                echo esc_attr( $wobd_option[ 'wobd_enable_timer_color' ] );
            } else {
                echo '0';
            }
            ?>" name="wobd_option[wobd_enable_timer_color]" <?php if ( isset( $wobd_option[ 'wobd_enable_timer_color' ] ) && $wobd_option[ 'wobd_enable_timer_color' ] == '1' ) { ?>checked="checked"<?php } ?>/>
            <div class="wobd-slider round"></div>
        </label>
        <p class="description"> <?php esc_html_e( 'Enable custom color to change color.', WOBD_TD ) ?></p>
    </div>
</div>
<div class="wobd-custom-design-timer-wrap" <?php if ( isset( $wobd_option[ 'wobd_enable_timer_color' ] ) && $wobd_option[ 'wobd_enable_timer_color' ] == '1' ) { ?>style="display: block;"<?php } else { ?>style="display:none;"<?php } ?>>
    <div class="wobd-badge-option-wrap">
        <label><?php esc_html_e( 'Timer Color', WOBD_TD ); ?></label>
        <div class="wobd-badge-field-wrap">
            <input type="text" class="wobd-color-picker wobd-timer-color" data-alpha="true" name="wobd_option[wobd_timer_color]"  value="<?php
            if ( isset( $wobd_option[ 'wobd_timer_color' ] ) ) {
                echo esc_attr( $wobd_option[ 'wobd_timer_color' ] );
            }
            ?>"/>
            <p class="description"> <?php esc_html_e( 'Note : Save to see the changes of custom color', WOBD_TD ) ?></p>
        </div>
    </div>
</div>

<div class ="wobd-badge-option-wrap">
    <label for="wobd-disable-timer" class="wobd-disable-timer">
        <?php esc_html_e( 'Disable Badges After Expiry', WOBD_TD ); ?>
    </label>
    <div class="wobd-badge-field-wrap">
        <label class="wobd-switch">
            <input type="checkbox" class="wobd-disable-badges-timer wobd-checkbox" value="<?php
            if ( isset( $wobd_option[ 'wobd_timer_disable_badge' ] ) ) {
                echo esc_attr( $wobd_option[ 'wobd_timer_disable_badge' ] );
            } else {
                echo '0';
            }
            ?>" name="wobd_option[wobd_timer_disable_badge]" <?php if ( isset( $wobd_option[ 'wobd_timer_disable_badge' ] ) && $wobd_option[ 'wobd_timer_disable_badge' ] == '1' ) { ?>checked="checked"<?php } ?>/>
            <div class="wobd-slider round"></div>
        </label>
        <p class="description"> <?php esc_html_e( 'Disable badge after count down expiry time.', WOBD_TD ) ?></p>
    </div>
</div>
<div class ="wobd-badge-option-wrap">
    <label for="wobd-disable-timer" class="wobd-disable-timer">
        <?php esc_html_e( 'Disable Badges', WOBD_TD ); ?>
    </label>
    <div class="wobd-badge-field-wrap">
        <label class="wobd-switch">
            <input type="checkbox" class="wobd-disable-badges wobd-checkbox" value="<?php
            if ( isset( $wobd_option[ 'wobd_disable_badge' ] ) ) {
                echo esc_attr( $wobd_option[ 'wobd_disable_badge' ] );
            } else {
                echo '0';
            }
            ?>" name="wobd_option[wobd_disable_badge]" <?php if ( isset( $wobd_option[ 'wobd_disable_badge' ] ) && $wobd_option[ 'wobd_disable_badge' ] == '1' ) { ?>checked="checked"<?php } ?>/>
            <div class="wobd-slider round"></div>
        </label>
        <p class="description"> <?php esc_html_e( 'Disable badge if you want to show only timer in frontend.', WOBD_TD ) ?></p>
    </div>
</div>