<?php
/**
 * Product loop sale flash
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/loop/sale-flash.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

global $post, $product;
$wobd_common_settings = get_option( 'wobd_common_settings' );
?>
<div class="wobd-badges-wrapper">
    <?php
    include(WOBD_PATH . 'includes/frontend/badges.php');
    ?>



<?php if ( $product -> is_on_sale() ) { ?>

        <?php
        if ( $wobd_common_settings[ 'wobd_default_sale_badge' ] != 'disable' ) {
            $wobd_post_id = $wobd_common_settings[ 'wobd_default_sale_badge' ];
            $wobd_option = get_post_meta( $wobd_post_id, 'wobd_option', true );
            include(WOBD_PATH . 'includes/frontend/badge-content.php');
            echo apply_filters( 'woocommerce_sale_flash', '<span class="onsale">' . esc_html__( 'Sale!', 'woocommerce' ) . '</span>', $post, $product );
        }
    }
    ?>
</div>
<?php

/*
global $post, $product, $flatsome_opt, $wc_cpdf;
?>

<?php if ( $wc_cpdf -> get_value( get_the_ID(), '_bubble_new' ) ) { ?>
    <div class="callout <?php if ( $product -> is_on_sale() ) echo 'has-sale'; ?> <?php echo $flatsome_opt[ 'bubble_style' ]; ?>">
        <div class="inner callout-new-bg">
            <div class="inner-text "><?php _e( 'New', 'flatsome' ); ?></div>
        </div>
    </div><!-- end callout -->
<?php } ?>

<?php if ( $product -> is_on_sale() && ! $flatsome_opt[ 'sale_bubble_percentage' ] ) : ?>
    <div class="callout <?php echo $flatsome_opt[ 'bubble_style' ]; ?>">
        <div class="inner">
            <div class="inner-text"><?php echo apply_filters( 'woocommerce_sale_flash', __( 'Sale!', 'woocommerce' ), $post, $product ); ?></div>
        </div>
    </div><!-- end callout -->

<?php elseif ( $product -> is_on_sale() && $flatsome_opt[ 'sale_bubble_percentage' ] && $product -> product_type == 'variable' ) : ?>
    <div class="callout <?php echo $flatsome_opt[ 'bubble_style' ]; ?>">
        <div class="inner">
            <div class="inner-text">
    <?php
    $price = '';
    $available_variations = $product -> get_available_variations();
    $maximumper = 0;
    for ( $i = 0; $i < count( $available_variations ); ++ $i ) {
        $variation_id = $available_variations[ $i ][ 'variation_id' ];
        $variable_product1 = new WC_Product_Variation( $variation_id );
        $regular_price = $variable_product1 -> regular_price;
        $sales_price = $variable_product1 -> sale_price;
        $percentage = round( (( ( $regular_price - $sales_price ) / $regular_price ) * 100 ), 0 );
        if ( $percentage > $maximumper ) {
            $maximumper = $percentage;
        }
    }
    echo '-' . $price . sprintf( __( '%s', 'woocommerce' ), $maximumper . '%' );
    ?>
            </div>
        </div>
    </div><!-- end callout -->

<?php elseif ( $product -> is_on_sale() && $flatsome_opt[ 'sale_bubble_percentage' ] && $product -> product_type == 'simple' ) : ?>
    <div class="callout <?php echo $flatsome_opt[ 'bubble_style' ]; ?>">
        <div class="inner">
            <div class="inner-text"><?php
    $price = '';
    $percentage = round( ( ( $product -> regular_price - $product -> sale_price ) / $product -> regular_price ) * 100, 0 );
    echo '-' . $price . sprintf( __( '%s', 'woocommerce' ), $percentage . '%' );
    ?></div>
        </div>
    </div><!-- end callout -->
    <?php
 endif;

    /* Omit closing PHP tag at the end of PHP files to avoid "headers already sent" issues. */

